# $Revision: 1.82 $, $Date: 2004/01/19 20:38:10 $
#
# Conditional build:
%bcond_without	dist_kernel	# without sources of distribution kernel
%bcond_without	kernel		# don't build kernel modules, only library+programs
%bcond_without	userspace	# build only packages with kernel modules
%bcond_without	svga		# without svgalib-based utility
%bcond_without	x		# without X11-based utilitied
#
%ifnarch %{ix86} alpha
%undefine	with_svga
%endif
%define		_kernel24	%(echo %{_kernel_ver} | grep -qv '2\.4\.' ; echo $?)
Summary:	Linux Infrared Remote Control daemons
Summary(pl):	Serwery do zdalnej kontroli Linuksa za pomoc podczerwieni
Name:		lirc
Version:	0.6.6
%define _rel	3
Release:	%{_rel}
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/lirc/%{name}-%{version}.tar.bz2
# Source0-md5: 6e7b5ba2fd479961d067730e16df7c54
Source1:	http://lirc.sourceforge.net/remotes.tar.bz2
# Source1-md5: ab33d57db1fc5782c209d90be8c6962e
Source2:	%{name}d.sysconfig
Source3:	%{name}d.init
Source4:	%{name}md.init
Patch0:		%{name}-opt.patch
Patch1:		%{name}-tmp.patch
Patch2:		%{name}-devfs.patch
Patch3:		%{name}-no-svgalib.patch
Patch4:		%{name}-alpha.patch
Patch5:		%{name}-makpc.patch
Patch6:		%{name}-udp.patch
Patch7:		http://delvare.free.fr/i2c/other/%{name}-0.6.6-i2c-2.8.0.patch
Patch8:		%{name}-sparc.patch
Patch9:		%{name}-am18.patch
URL:		http://www.lirc.org/
%{?with_x:BuildRequires:	XFree86-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
%if %{with dist_kernel} && %{with kernel}
BuildRequires:	kernel-headers
BuildRequires:	kernel-i2c-devel >= 2.8.0
BuildRequires:	kernel-source
%endif
%{?with_kernel:BuildRequires:	%{kgcc_package}}
BuildRequires:	rpmbuild(macros) >= 1.118
%{?with_svga:BuildRequires:	svgalib-devel}
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%description -l pl
LIRC to program pozwalajcy na dekodowanie nadchodzcych oraz
wysyanie sygnaw w podczerwieni za pomoc wielu (ale nie wszystkich)
popularnych urzdze do zdalnej kontroli

%package X11
Summary:	Linux Infrared Remote Control - X11 utilities
Summary(pl):	Zdalna kontrola Linuksa za pomoc podczerwieni - narzdzia X11
Group:		X11/Applications
Requires:	%{name}-libs = %{version}

%description X11
Linux Infrared Remote Control - X11 utilities.

%description X11 -l pl
Zdalna kontrola Linuksa za pomoc podczerwieni - narzdzia X11.

%package svga
Summary:	Linux Infrared Remote Control - svgalib utilities
Summary(pl):	Zdalna kontrola Linuksa za pomoc podczerwieni - narzdzia svgalib
Group:		Applications
Requires:	%{name}-libs = %{version}

%description svga
Linux Infrared Remote Control - svgalib-based utilities.

%description svga -l pl
Zdalna kontrola Linuksa za pomoc podczerwieni - narzdzia oparte na
svgalibie.

%package libs
Summary:	LIRC libraries
Summary(pl):	Biblioteki LIRC
Group:		Libraries
Conflicts:	lirc < 0.6.3-3
# didn't use /tmp/.lircd

%description libs
This package provides the libraries necessary to run lirc client
programs.

%description libs -l pl
Ten pakiet zawiera biblioteki niezbdne do dziaania klientw LIRC.

%package devel
Summary:	Header files for LIRC development
Summary(pl):	Pliki nagwkowe do tworzenia programw z obsug LIRC
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}

%description devel
This package provides the files necessary to develop LIRC-based
programs.

%description devel -l pl
Ten pakiet zawiera pliki niezbdne do tworzenia programw opartych na
LIRC.

%package static
Summary:	Static library for LIRC development
Summary(pl):	Biblioteka statyczna LIRC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The files necessary for development of statically-linked lirc-based
programs.

%description static -l pl
Pliki potrzebne do tworzenia czonych statycznie programw opartych
na LIRC.

%package -n kernel-char-lirc-dev
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-dev

%description -n kernel-char-lirc-dev
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_dev module.

%description -n kernel-char-lirc-dev -l pl
Ten pakiet zawiera moduy jdra niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_dev.

%package -n kernel-char-lirc-gpio
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Requires:	kernel-char-lirc-dev = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-gpio

%description -n kernel-char-lirc-gpio
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_gpio module.

%description -n kernel-char-lirc-gpio -l pl
Ten pakiet zawiera moduy jdra niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_gpio.

%package -n kernel-char-lirc-i2c
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Requires:	kernel-char-lirc-dev = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-i2c

%description -n kernel-char-lirc-i2c
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_i2c module.

%description -n kernel-char-lirc-i2c -l pl
Ten pakiet zawiera moduy jdra niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_i2c

%package -n kernel-char-lirc-serial
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-serial

%description -n kernel-char-lirc-serial
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_serial module for devices connected to serial port.

%description -n kernel-char-lirc-serial -l pl
Ten pakiet zawiera moduy jdra niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_serial dla urzdze podczanych do serial portu.

%package -n kernel-char-lirc-parallel
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-parallel

%description -n kernel-char-lirc-parallel
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc-parallel module for devices connected to parallel port.

%description -n kernel-char-lirc-parallel -l pl
Ten pakiet zawiera moduy jdra niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_parallel dla urzdze podczanych do portu rwnolegego.

%package -n kernel-char-lirc-sir
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-sir

%description -n kernel-char-lirc-sir
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_sir module.

%description -n kernel-char-lirc-sir -l pl
Ten pakiet zawiera moduy jdra niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_sir.

%package -n kernel-smp-char-lirc-dev
Summary:	SMP kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra SMP dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-dev

%description -n kernel-smp-char-lirc-dev
This package contains the SMP kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_dev module.

%description -n kernel-smp-char-lirc-dev -l pl
Ten pakiet zawiera moduy jdra SMP niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_dev.

%package -n kernel-smp-char-lirc-gpio
Summary:	SMP kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Requires:	kernel-smp-char-lirc-dev = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-gpio

%description -n kernel-smp-char-lirc-gpio
This package contains the SMP kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_gpio module.

%description -n kernel-smp-char-lirc-gpio -l pl
Ten pakiet zawiera moduy jdra SMP niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_gpio.

%package -n kernel-smp-char-lirc-i2c
Summary:	SMP kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra SMP dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Requires:	kernel-smp-char-lirc-dev = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-i2c

%description -n kernel-smp-char-lirc-i2c
This package contains the SMP kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_i2c module.

%description -n kernel-smp-char-lirc-i2c -l pl
Ten pakiet zawiera moduy jdra SMP niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_i2c

%package -n kernel-smp-char-lirc-serial
Summary:	SMP kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra SMP dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-serial

%description -n kernel-smp-char-lirc-serial
This package contains the SMP kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_serial module for devices connected to serial port.

%description -n kernel-smp-char-lirc-serial -l pl
Ten pakiet zawiera moduy jdra SMP niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_serial dla urzdze podczanych do serial portu.

%package -n kernel-smp-char-lirc-parallel
Summary:	SMP kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra SMP dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-parallel

%description -n kernel-smp-char-lirc-parallel
This package contains the SMP kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc-parallel module for devices connected to parallel port.

%description -n kernel-char-lirc-parallel -l pl
Ten pakiet zawiera moduy jdra SMP niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_parallel dla urzdze podczanych do portu rwnolegego.

%package -n kernel-smp-char-lirc-sir
Summary:	SMP kernel modules for Linux Infrared Remote Control
Summary(pl):	Moduy jdra dla zdalnej obsugi Linuksa za pomoc podczerwieni
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.4.6-4
Requires(post,postun):	/sbin/depmod
Requires:	%{name} = %{version}
Conflicts:	dev < 2.8.0-3
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-sir

%description -n kernel-smp-char-lirc-sir
This package contains the SMP kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_sir module.

%description -n kernel-smp-char-lirc-sir -l pl
Ten pakiet zawiera moduy jdra SMP niezbdne do obsugi niektrych
pilotw na podczerwie (w tym tych dostarczanych z kartami TV).

Modu lirc_sir.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%if %{without svga}
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1
%patch6 -p1
%if %{with kernel}
if grep -qs 'I2C_VERSION.*"2\.8\.' %{_kernelsrcdir}/include/linux/i2c.h ; then
%patch7 -p1
fi
%endif
%patch8 -p1
%patch9 -p1

%build
echo '#' > drivers/Makefile.am
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}

%configure \
	--with-driver=any \
	--with-kerneldir=%{_kernelsrcdir} \
	%{?with_x:--with-x} \
	--with-port=0x2f8 \
	--with-irq=3 \
	--without-soft-carrier
%{__make}

%if %{with kernel}
cd drivers

%if %{_kernel24}
# 2.4 drivers
LIRC_NORMAL="lirc_gpio lirc_i2c lirc_serial lirc_sir"
LIRC_SYMTAB="lirc_dev"
%else
# 2.2 drivers
LIRC_NORMAL="lirc_serial lirc_sir"
LIRC_SYMTAB=""
%endif

# lirc_parallel is not smp safe

# UP

if [ -n "$LIRC_NORMAL" ]; then
  for drv in $LIRC_NORMAL lirc_parallel; do
	%{kgcc} %{rpmcflags} -D__KERNEL__ -DMODULE -DHAVE_CONFIG_H \
	-DIRCTL_DEV_MAJOR=61 -I.. -I%{_kernelsrcdir}/include \
	-fno-strict-aliasing -fno-common \
	-c -o $drv.o $drv/$drv.c
  done
fi

if [ -n "$LIRC_SYMTAB" ]; then
  for drv in $LIRC_SYMTAB; do
	%{kgcc} %{rpmcflags} -D__KERNEL__ -DMODULE -DHAVE_CONFIG_H \
	-DEXPORT_SYMTAB \
	-DIRCTL_DEV_MAJOR=61 -I.. -I%{_kernelsrcdir}/include \
	-fno-strict-aliasing -fno-common \
	-c -o $drv.o $drv/$drv.c
  done
fi

# SMP
if [ -n "$LIRC_NORMAL" ]; then
  for drv in $LIRC_NORMAL; do
	%{kgcc} %{rpmcflags} -D__KERNEL__ -DMODULE -DHAVE_CONFIG_H \
	-D__KERNEL_SMP=1 -DIRCTL_DEV_MAJOR=61 -I.. -I%{_kernelsrcdir}/include \
	-fno-strict-aliasing -fno-common \
	-c -o $drv/$drv.o $drv/$drv.c
  done
fi

if [ -n "$LIRC_SYMTAB" ]; then
  for drv in $LIRC_SYMTAB; do
	%{kgcc} %{rpmcflags} -D__KERNEL__ -DMODULE -DHAVE_CONFIG_H \
	-D__KERNEL_SMP=1 -DEXPORT_SYMTAB \
	-DIRCTL_DEV_MAJOR=61 -I.. -I%{_kernelsrcdir}/include \
	-fno-strict-aliasing -fno-common \
	-c -o $drv/$drv.o $drv/$drv.c
  done
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_aclocaldir},/dev,/var/log} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%if %{with kernel}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc
install drivers/*.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install drivers/*/*.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
%endif

%if %{with userspace}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}

cat>$RPM_BUILD_ROOT%{_sysconfdir}/lircd.conf<<END
#
# This is a placeholder for your configuration file.
# See %{_docdir}/%{name}-%{version}/remotes for some examples.
#
END
cp -f $RPM_BUILD_ROOT%{_sysconfdir}/lirc{,m}d.conf
install contrib/*.m4 $RPM_BUILD_ROOT%{_aclocaldir}
:> $RPM_BUILD_ROOT/var/log/lircd

install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/lircd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/lircd
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/lircmd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
/sbin/chkconfig --add lircd
if [ -f /var/lock/subsys/lircd ]; then
	/etc/rc.d/init.d/lircd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/lircd start\" to start lircd." >&2
fi
/sbin/chkconfig --add lircmd
if [ -f /var/lock/subsys/lircmd ]; then
	/etc/rc.d/init.d/lircmd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/lircmd start\" to start lircmd." >&2
fi
echo "If you are using a kernel-module-based driver, don't forget to"
echo "install the kernel-char-lirc-<your_driver> or"
echo "kernel-smp-char-lirc-<your_driver> package."

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/lircd ]; then
		/etc/rc.d/init.d/lircd stop >&2
	fi
	/sbin/chkconfig --del lircd
fi
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/lircmd ]; then
		/etc/rc.d/init.d/lircmd stop >&2
	fi
	/sbin/chkconfig --del lircmd
fi

%post	-n kernel-char-lirc-dev
%depmod %{_kernel_ver}

%postun -n kernel-char-lirc-dev
%depmod %{_kernel_ver}

%post	-n kernel-char-lirc-gpio
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_gpio' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-char-lirc-gpio
%depmod %{_kernel_ver}

%post	-n kernel-char-lirc-i2c
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_i2c' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-char-lirc-i2c
%depmod %{_kernel_ver}

%post	-n kernel-char-lirc-serial
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_serial' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-char-lirc-serial
%depmod %{_kernel_ver}

%post	-n kernel-char-lirc-parallel
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_parallel' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-char-lirc-parallel
%depmod %{_kernel_ver}

%post	-n kernel-char-lirc-sir
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_sir' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-char-lirc-sir
%depmod %{_kernel_ver}

%post	-n kernel-smp-char-lirc-dev
%depmod %{_kernel_ver}smp

%postun -n kernel-smp-char-lirc-dev
%depmod %{_kernel_ver}smp

%post	-n kernel-smp-char-lirc-gpio
%depmod %{_kernel_ver}smp
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_gpio' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-smp-char-lirc-gpio
%depmod %{_kernel_ver}smp

%post	-n kernel-smp-char-lirc-i2c
%depmod %{_kernel_ver}smp
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_i2c' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-smp-char-lirc-i2c
%depmod %{_kernel_ver}smp

%post	-n kernel-smp-char-lirc-serial
%depmod %{_kernel_ver}smp
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_serial' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-smp-char-lirc-serial
%depmod %{_kernel_ver}smp

%post -n kernel-smp-char-lirc-parallel
%depmod %{_kernel_ver}smp
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_parallel' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-smp-char-lirc-parallel
%depmod %{_kernel_ver}smp

%post	-n kernel-smp-char-lirc-sir
%depmod %{_kernel_ver}smp
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_sir' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel-smp-char-lirc-sir
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
# XXX: are jpegs in docs (remotes) a good idea?
%doc ANNOUNCE AUTHORS NEWS README TODO ChangeLog
%doc contrib/lircrc doc/{html,images,lirc.css} remotes
%attr(755,root,root) %{_bindir}/ir[!x]*
%attr(755,root,root) %{_bindir}/mode2
%attr(755,root,root) %{_bindir}/rc
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/*
%config(noreplace) %{_sysconfdir}/*.conf
%{_mandir}/man1/ir[!x]*
%{_mandir}/man1/[!isx]*
%{_mandir}/man8/*
%ghost %attr(600,root,root) /var/log/lircd

%if %{with x}
%files X11
%defattr(644,root,root,755)
%doc doc/irxevent.keys
%attr(755,root,root) %{_bindir}/irxevent
%attr(755,root,root) %{_bindir}/xmode2
%{_mandir}/man1/irxevent.1*
%{_mandir}/man1/xmode2.1*
%endif

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smode2
%{_mandir}/man1/smode2.1*
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/lirc
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%if %{with kernel}
%if %{_kernel24}
%files -n kernel-char-lirc-dev
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_dev*

%files -n kernel-char-lirc-gpio
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_gpio*

%files -n kernel-char-lirc-i2c
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_i2c*
%endif

%files -n kernel-char-lirc-serial
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_serial*

%files -n kernel-char-lirc-parallel
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_parallel*

%files -n kernel-char-lirc-sir
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_sir*

%if %{_kernel24}
%files -n kernel-smp-char-lirc-dev
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/*/lirc_dev*

%files -n kernel-smp-char-lirc-gpio
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/*/lirc_gpio*

%files -n kernel-smp-char-lirc-i2c
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/*/lirc_i2c*
%endif

%files -n kernel-smp-char-lirc-serial
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/*/lirc_serial*

# currently not SMP-safe
%if 0
%files -n kernel-smp-char-lirc-parallel
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/*/lirc_parallel*
%endif

%files -n kernel-smp-char-lirc-sir
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/*/lirc_sir*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lirc.spec,v $
Revision 1.82  2004/01/19 20:38:10  qboosh
- updated i2c BR for kernel modules

Revision 1.81  2003/12/30 03:52:18  qboosh
- added am18 patch, release 3

Revision 1.80  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.79  2003/11/10 16:57:19  qboosh
- added sparc patch, run autoheader

Revision 1.78  2003/11/10 15:49:17  qboosh
- new-style bconds; s/without_modules/without_kernel/; added without_userspace
- build smode2 utility (x86 and alpha only, with bcond)
- some cleanups, moved manuals to proper packages, don't include junk in docs
- for i2c patch detect i2c version instead of using dist_kernel bcond
- rel 2

Revision 1.77  2003/10/18 22:19:02  saq
- a fix to build under I2C 2.8.0
- STBR for Ac

Revision 1.76  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.75  2003/07/10 13:47:19  trojan
- added using depmod macro

Revision 1.74  2003/07/02 12:45:33  cieciwa
- typo

Revision 1.73  2003/07/02 12:03:11  cieciwa
 - added --without x bcond

Revision 1.72  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.71  2003/05/25 05:50:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.70  2003/05/16 09:49:41  qboosh
- killed x11bindir

Revision 1.69  2003/05/16 09:28:06  qboosh
- added _without_modules bcond

Revision 1.68  2003/05/16 08:53:05  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.67  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.66  2003/03/24 07:29:49  kloczek
- release 1.

Revision 1.65  2003/03/02 18:35:28  pawel
- updated to 0.6.6
- added makpc patch
- added udp patch

Revision 1.64  2003/02/16 15:41:26  blues
- release 15 - updated remotes URL, rebuild with "little" extended new
  version of them...

Revision 1.63  2003/02/16 15:36:23  blues
- remotes definitions are back... no need to compress them manually

Revision 1.62  2003/02/01 21:32:12  radek
- updated Source0 URL

Revision 1.61  2002/12/07 14:33:21  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.60  2002/11/25 14:17:12  ankry
- massive attack: no need for 755 for *.la

Revision 1.59  2002/11/17 19:43:25  kloczek
- release 14: rebuild against kernel 2.2.22-6.

Revision 1.58  2002/11/02 11:33:10  ankry
- rel. 13 (rebuild against kernel 2.2.22-4)

Revision 1.57  2002/10/12 12:58:05  marcus
- rel.12 (for kernel 2.2.22-3)

Revision 1.56  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/10/01 15:38:07  kloczek
- release 11: rebuild against kernel 2.2.22.

Revision 1.54  2002/09/13 20:28:57  ggodlewski
- release 10 - fix for mknod in rc script

Revision 1.53  2002/08/29 15:13:14  qboosh
- fixed build on alpha, fixed doc, added missing manuals, release 9

Revision 1.52  2002/08/18 17:37:10  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.51  2002/08/01 09:46:51  marcus
- fixed %%doc

Revision 1.50  2002/08/01 01:16:00  undefine
- Requires: dev >= 2.8.0-3 change to Conflicts: dev < 2.8.0-3 to allow use
  on devfs
- release 8

Revision 1.49  2002/07/31 08:04:11  kloczek
- release 7.

Revision 1.48  2002/07/03 09:24:05  wolf
- spelling

Revision 1.47  2002/06/29 14:19:51  kloczek
- release 6: use new %doc.

Revision 1.46  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.45  2002/05/29 22:08:27  misiek
- requires->conflicts

Revision 1.44  2002/05/21 23:14:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/04/12 13:14:14  qboosh
- release 5: rebuild without *.la in -static

Revision 1.42  2002/03/25 09:19:26  mis
- removed *.la from static subpkg

Revision 1.41  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.40  2002/03/23 06:12:23  kloczek
- release 4: rebuild.

Revision 1.39  2002/03/15 08:46:14  misiek
- don't even try to find svgalib; release 3

Revision 1.38  2002/03/13 13:37:12  mis
- kernel-smp-char-lirc-sir: /sbindepmod -> /sbin/depmod; rel 2

Revision 1.37  2002/03/07 07:47:26  marcus
- rel.1.

Revision 1.36  2002/03/05 12:09:16  marcus
- typo

Revision 1.35  2002/03/05 10:28:30  marcus
- use new macros
- rel.0.11

Revision 1.34  2002/02/26 18:57:37  qboosh
- use requires_releq_kernel_{up,smp}, kgcc{,_package} macros
- autodetect kernel 2.4 headers
- release 0.10

Revision 1.33  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/17 03:57:52  kloczek
- adapterized.

Revision 1.31  2002/02/16 13:11:18  aflinta
- release 0.9, spinlock.patch seems to be obsolete, but needs testing

Revision 1.30  2002/02/15 21:17:43  aflinta
- updated to version 0.6.5, but spinlock.patch is not ready yet

Revision 1.29  2002/02/03 20:54:32  ankry
- adding es/pt/pt_BR Group translations

Revision 1.28  2002/01/27 20:36:50  saq
- build SMP and UP version in one pass
- when using a dist kernel, require the proper version
- back to kgcc, that's what we build kernel with

Revision 1.27  2002/01/27 18:15:06  filon
- s/kgcc/%{__cc}/ (kgcc doesn't support all archs supprted by gcc3)
- release 3

Revision 1.26  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/20 14:48:31  saq
- reversed the --with kernel_2_2 condition and renamed to --with kernel_2_4

Revision 1.24  2001/11/14 08:37:33  filon
- changed option no_dist_kernel to _without_dist_kernel
- make conflicat for version of kernel not equal to compilation-time
  disabled by _without_dist_kernel (the same in other specs)
  (it is not needed if I have only non-dist kernel, but it is not
  rare situation to have many kernels, incuding one from distro)

Revision 1.23  2001/11/11 00:55:19  misiek
- support for PixelView BT878P FM(NICAM) in gpio driver

Revision 1.22  2001/10/24 21:06:33  misiek
- another method for choosing drivers for 2.2 or 2.4

Revision 1.21  2001/10/24 20:41:45  misiek
- fixes for conditional build

Revision 1.20  2001/10/24 20:30:17  misiek
- added bcond for 2.2 kernel

Revision 1.19  2001/10/19 23:29:00  aflinta
- modified bcond for building without distribution kernel

Revision 1.18  2001/09/19 21:45:51  saq
- removed %%{_smpstr} from @... suffix
- s/-/_/g in @... suffix

Revision 1.17  2001/09/19 17:08:34  saq
- new kernel module naming scheme (kernel{,-smp}-*)
- UP and SMP versions still not built from one rpm -bb -- filename
conflict
- use lircd.sysconfig instead of lirc.sysconfig
- no more weird config file handling, make the user configure it themself
(examples in %{_docdir}/%{name}-%{version})
- simplified example gzipping rule
- lirc_gpio and lirc_i2c depend on lirc_dev
- no module aliasing at lirc_dev (it's not used directly)
- s/char-major-61/lirc/

Revision 1.16  2001/09/19 11:38:32  aflinta
added %{!?no_dist_kernel: condition to buildrequires

Revision 1.15  2001/09/09 13:20:11  saq
- don't allow modules to fail building
- adapterized

Revision 1.14  2001/09/07 02:27:06  blues
- 0.6.4
- removed outdated patches
- modules separated into own packages - now you can have self-made kernels
  without i.e. i2c and none unresolved_symbol
- release moved to define - needed because of awfull release expansion
  (many times kernel vesion repeated)
- lirc-modules added to obsoletes
- modified post
- one doc added and one removed

Revision 1.13  2001/08/24 22:40:45  saq
- s/install -m644/cp/
- adapterized

Revision 1.12  2001/08/23 16:50:03  filon
- added remotes.tar.gz - configurations of about 400 remotes
- created package lirc-remotes
- cosmetics

Revision 1.11  2001/08/15 20:25:43  saq
- using %%_kernelsrcdir
- use devfs.patch
- modules-{smp,up} subpackage renamed to modules
- cleanups in rpm scripts
- release 3
- STB

Revision 1.10  2001/08/09 20:27:46  saq
- changes in the build process: conditional SMP build, don't use kernel's
Makefiles
- modules go to a subpackage (lirc-modules-%%smpstr)

Revision 1.9  2001/08/07 16:24:17  saq
- subpackages don't get @... in release
- use /tmp/.lircd instead of /dev/lircd
- minor fixes in the build process
- NFY

Revision 1.8  2001/07/31 07:02:53  saq
- removed /dev/lircm (/dev/lircd to go)

Revision 1.7  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.6  2001/07/26 05:42:10  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2001/07/24 13:54:12  saq
- always apply spinlock.patch
- release 2

Revision 1.3  2001/07/23 22:22:52  saq
A group commit:
- %define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.2  2001/07/21 16:34:18  saq
- rewritten from scratch, now supports various drivers
- STB
